文件名称:利用revit2016读取dwg文件
文件大小:23KB
文件格式:ZIP
更新时间:2021-11-21 21:05:06
revit2016
CHostApp app; // create a new database to read our drawing into AcDbDatabase data(Adesk::kFalse); data.readDwgFile(ofn.lpstrFile); AcDbBlockTableRecordPointer spaceRec(ACDB_MODEL_SPACE, &data, AcDb::kForRead); AcDbBlockTableRecordIterator* itor = 0; spaceRec->newIterator(itor); for (; !itor->done(); itor->step()) { AcDbObjectId entityId; itor->getEntityId(entityId); AcDbEntityPointer entity(entityId,AcDb::kForRead); if (entity.openStatus() == Acad::eOk) { LPCTSTR sDxf = entity->isA()->dxfName(); int il=0; } } delete itor;
【文件预览】:
hostapp
----hostapp.cpp(462B)
----real.lib(2KB)
----stdafx.h(271B)
----hostapp.vcxproj(4KB)
----stdafx.cpp(212B)
----hostapp.h(126B)
----targetver.h(498B)
RvtReadDwg
----RvtReadDwg.ico(23KB)
----stdafx.h(415B)
----ReadMe.txt(2KB)
----RvtReadDwg.vcxproj(5KB)
----stdafx.cpp(215B)
----Resource.h(732B)
----RvtReadDwg.cpp(6KB)
----RvtReadDwg.rc(3KB)
----RvtReadDwg.h(39B)
----small.ico(23KB)
----targetver.h(1KB)
RvtReadDwg.sln